xine-lib: matroska_track_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
matroska_track_s Struct Reference

`#include <matroska.h>`

## Data Fields
int | track_num
uint64_t | uid
uint32_t | track_type
uint64_t | default_duration
char * | language
char * | codec_id
uint8_t * | codec_private
uint32_t | codec_private_len
int | default_flag
uint32_t | compress_algo
uint32_t | compress_len
char * | compress_settings
uint32_t | buf_type
fifo_buffer_t * | fifo
matroska_video_track_t * | video_track
matroska_audio_track_t * | audio_track
matroska_sub_track_t * | sub_track
int64_t | last_pts
int64_t | delayed_pts
void(* | handle_content )(demux_plugin_t *this_gen, matroska_track_t *track, int decoder_flags, uint8_t *data, size_t data_len, int64_t data_pts, int data_duration, int input_normpos, int input_time)

## Field Documentation

## ◆ audio_track

matroska_audio_track_t* matroska_track_s::audio_track

Referenced by demux_matroska_dispose(), init_codec_aac(), init_codec_audio(), and parse_track_entry().

## ◆ buf_type

uint32_t matroska_track_s::buf_type

Referenced by demux_matroska_get_optional_data(), handle_dvbsub(), handle_hdmv_pgs(), handle_hdmv_textst(), handle_realvideo(), handle_sub_ssa(), handle_sub_utf8(), handle_vobsub(), handle_vp9(), init_codec_aac(), init_codec_audio(), init_codec_dvbsub(), init_codec_real(), init_codec_spu(), init_codec_video(), init_codec_xiph(), parse_block(), and parse_track_entry().

## ◆ codec_id

char* matroska_track_s::codec_id

Referenced by demux_matroska_dispose(), init_codec_aac(), and parse_track_entry().

## ◆ codec_private

uint8_t* matroska_track_s::codec_private

Referenced by demux_matroska_dispose(), fill_extra_data(), init_codec_audio(), init_codec_dvbsub(), init_codec_real(), init_codec_video(), init_codec_vobsub(), init_codec_xiph(), and parse_track_entry().

## ◆ codec_private_len

uint32_t matroska_track_s::codec_private_len

Referenced by fill_extra_data(), init_codec_audio(), init_codec_dvbsub(), init_codec_real(), init_codec_video(), init_codec_vobsub(), init_codec_xiph(), and parse_track_entry().

## ◆ compress_algo

uint32_t matroska_track_s::compress_algo

Referenced by handle_dvbsub(), handle_hdmv_pgs(), handle_vobsub(), parse_block(), parse_content_compression(), parse_content_encoding(), parse_track_entry(), and parse_tracks().

## ◆ compress_len

uint32_t matroska_track_s::compress_len

Referenced by parse_block(), and parse_content_compression().

## ◆ compress_settings

char* matroska_track_s::compress_settings

Referenced by parse_block(), and parse_content_compression().

## ◆ default_duration

uint64_t matroska_track_s::default_duration

Referenced by init_codec_real(), init_codec_video(), parse_block(), and parse_track_entry().

## ◆ default_flag

int matroska_track_s::default_flag

Referenced by parse_track_entry().

## ◆ delayed_pts

int64_t matroska_track_s::delayed_pts

Referenced by handle_vp9().

## ◆ fifo

fifo_buffer_t* matroska_track_s::fifo

Referenced by handle_dvbsub(), handle_hdmv_pgs(), handle_hdmv_textst(), handle_realvideo(), handle_sub_ssa(), handle_sub_utf8(), handle_vobsub(), handle_vp9(), init_codec_aac(), init_codec_audio(), init_codec_dvbsub(), init_codec_real(), init_codec_spu(), init_codec_video(), init_codec_vobsub(), init_codec_xiph(), parse_block(), and parse_track_entry().

## ◆ handle_content

void(* matroska_track_s::handle_content) (demux_plugin_t *this_gen, matroska_track_t *track, int decoder_flags, uint8_t *data, size_t data_len, int64_t data_pts, int data_duration, int input_normpos, int input_time)

Referenced by parse_block(), and parse_track_entry().

## ◆ language

char* matroska_track_s::language

Referenced by demux_matroska_dispose(), demux_matroska_get_optional_data(), and parse_track_entry().

## ◆ last_pts

int64_t matroska_track_s::last_pts

Referenced by check_newpts(), and demux_matroska_seek().

## ◆ sub_track

matroska_sub_track_t* matroska_track_s::sub_track

Referenced by demux_matroska_dispose(), init_codec_vobsub(), vobsub_parse_custom_colors(), vobsub_parse_forced_subs(), vobsub_parse_palette(), and vobsub_parse_size().

## ◆ track_num

int matroska_track_s::track_num

Referenced by check_newpts(), demux_matroska_seek(), handle_vobsub(), init_codec_vobsub(), parse_block(), and parse_track_entry().

## ◆ track_type

uint32_t matroska_track_s::track_type

Referenced by check_newpts(), demux_matroska_seek(), and parse_track_entry().

## ◆ uid

uint64_t matroska_track_s::uid

Referenced by parse_track_entry().

## ◆ video_track

matroska_video_track_t* matroska_track_s::video_track

Referenced by demux_matroska_dispose(), fill_extra_data(), init_codec_real(), init_codec_video(), and parse_track_entry().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/matroska.h